import { ReactNode, RefAttributes } from 'react';
import { VideoProperties as BaseVideoProperties, VideoInternals, ContainerProperties, ComponentInternals } from '@react-three/uikit';
export type VideoProperties = {
    controls?: boolean;
} & BaseVideoProperties;
export declare const Video: (props: VideoProperties & RefAttributes<VideoInternals>) => ReactNode;
export type VideoControlsProperties = Omit<ContainerProperties, 'children'>;
export declare const VideoControls: (props: VideoControlsProperties & RefAttributes<ComponentInternals<ContainerProperties>>) => ReactNode;
