import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
import { Signal } from '@preact/signals-core';
export type SliderProperties = {
    disabled?: boolean;
    value?: Signal<number> | number;
    defaultValue?: number;
    onValueChange?(value: number): void;
    min?: Signal<number> | number;
    max?: Signal<number> | number;
    step?: number;
} & Omit<ContainerProperties, 'children'>;
export declare const Slider: (props: SliderProperties & RefAttributes<ComponentInternals>) => ReactNode;
